## python-deprecated 1.3.1

=== docs/requirements.txt ===
# Project dependencies (editable mode)
-e .

# Sphinx to build the documentation
Sphinx ~= 8.1.3

# Pinned versions of dependencies to ensure compatibility with Sphinx
alabaster >=0.7.14, <1.1.0
babel >=2.13, <2.17.0
docutils >=0.20, <0.22
imagesize >=1.3, <1.5.0
Jinja2 >=3.1, <3.2.0
packaging >=23.0, <24.3
Pygments >=2.17, <2.20.0
requests >=2.30.0, <2.33.0
snowballstemmer >=2.2, <2.3.0
sphinxcontrib-applehelp >=1.0.7, <2.1.0
sphinxcontrib-devhelp >=1.0.6, <2.1.0
sphinxcontrib-htmlhelp >=2.0.6, <2.2.0
sphinxcontrib-jsmath >=1.0.1, <1.1.0
sphinxcontrib-qthelp >=1.0.6, <2.1.0
sphinxcontrib-serializinghtml >=1.1.9, <2.1.0

## python-deprecated 1.2.6

=== debian/changelog ===
python-deprecated (1.2.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jul 2019 07:31:26 +0200

python-deprecated (1.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 20 Jul 2019 07:02:47 +0200

python-deprecated (1.2.5-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Jul 2019 07:21:20 +0200

python-deprecated (1.2.5-3) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:14:29 +0200

python-deprecated (1.2.5-2) unstable; urgency=medium

  * Update copyright file, changes:
    - Add Marcos CARDOSO
    - Add comment for code origin
    (closes: #927148)
  * Drop unused ${python3:Depends} substvar.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Apr 2019 17:41:24 +0200

python-deprecated (1.2.5-1) unstable; urgency=medium

  * Initial release (Closes: #917606)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Apr 2019 18:25:01 +0200

=== debian/control ===
Source: python-deprecated
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-sphinx,
               python3-wrapt,
               tox
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-deprecated
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git -b buster-backports
Homepage: https://github.com/tantale/deprecated

Package: python3-deprecated
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Python decorator for old classes, functions or methods
 The deprecated module provides the @deprecated decorator to deprecate old
 Python classes, functions or methods.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=deprecated

%:
	dh $@ \
		--buildsystem=pybuild \
		--with python3 \
		--parallel

## python-deprecated 1.2.7

=== debian/changelog ===
python-deprecated (1.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Nov 2019 05:32:12 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                python3-sphinx,
                python3-wrapt,
                tox
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-deprecated
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git -b buster-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git
 Homepage: https://github.com/tantale/deprecated
 
 Package: python3-deprecated

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|deprecated)[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/deprecated-$1.$2/ \
https://github.com/tantale/deprecated/releases \
(?:.*?/archive/)?(?:rel|v|deprecated)[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-deprecated 1.2.10

=== debian/changelog ===
python-deprecated (1.2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 May 2020 05:48:41 +0200

python-deprecated (1.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Apr 2020 16:52:37 +0200

python-deprecated (1.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Apr 2020 05:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                python3-all,
                python3-pytest,
@@ -11,7 +11,7 @@
                python3-sphinx,
                python3-wrapt,
                tox
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-deprecated
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git
 Homepage: https://github.com/tantale/deprecated

## python-deprecated 1.2.11

=== debian/changelog ===
python-deprecated (1.2.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Jan 2021 13:22:51 +0100

python-deprecated (1.2.10-2) unstable; urgency=medium

  * Fix URLs in upstream metadata.
  * Add upstream patch to fix FTBFS with python3.9.
    (closes: #973164)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Oct 2020 19:03:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-sphinx,
                python3-wrapt,
                tox
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-deprecated
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git
 Homepage: https://github.com/tantale/deprecated

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,4 @@
 %:
 	dh $@ \
 		--buildsystem=pybuild \
-		--with python3 \
-		--parallel
+		--with python3

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/,\

## python-deprecated 1.2.13

=== debian/changelog ===
python-deprecated (1.2.13-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Drop tox from build dependencies, add python3-setuptools.
    (closes: #998624)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Nov 2021 09:38:20 +0100

python-deprecated (1.2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Sep 2021 05:37:18 +0200

python-deprecated (1.2.12-1) unstable; urgency=medium

  * Update watch file for GitHub URL changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 13:07:08 +0200

python-deprecated (1.2.12-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Mar 2021 06:15:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-pytest,
                python3-pytest-cov,
+               python3-setuptools,
                python3-sphinx,
-               python3-wrapt,
-               tox
-Standards-Version: 4.5.1
+               python3-wrapt
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-deprecated
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git
 Homepage: https://github.com/tantale/deprecated

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|deprecated)[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/deprecated-$1.$2/ \
https://github.com/tantale/deprecated/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|deprecated)[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-deprecated 1.2.14

=== debian/changelog ===
python-deprecated (1.2.14-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 12:27:52 +0200

python-deprecated (1.2.14-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 May 2023 07:20:28 +0200

python-deprecated (1.2.13-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 15:53:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-pytest,
                python3-pytest-cov,
                python3-setuptools,
                python3-sphinx,
                python3-wrapt
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-deprecated
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git
 Homepage: https://github.com/tantale/deprecated
+Rules-Requires-Root: no
 
 Package: python3-deprecated
 Architecture: all

## python-deprecated 1.2.15

=== debian/changelog ===
python-deprecated (1.2.15-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied/fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Nov 2024 06:43:07 +0100

python-deprecated (1.2.14-2) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
    (closes: #1047098)
  * Switch to dh-sequence-*.
  * Bump Standards-Version to 4.7.0, no changes.
  * Add patch to fix FTBFS with Python 3.13.
    (closes: #1082205)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Nov 2024 11:05:40 +0100

## python-deprecated 1.2.18

=== debian/changelog ===
python-deprecated (1.2.18-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jan 2025 14:55:19 +0100

python-deprecated (1.2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jan 2025 08:24:36 +0100

python-deprecated (1.2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jan 2025 17:53:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-pytest,
@@ -12,11 +13,12 @@
                python3-setuptools,
                python3-sphinx,
                python3-wrapt
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-deprecated
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git
 Homepage: https://github.com/tantale/deprecated
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-deprecated
 Architecture: all

## python-deprecated 1.3.0

=== debian/changelog ===
python-deprecated (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Oct 2025 05:17:22 +0100

## python-deprecated 1.3.1

=== debian/changelog ===
python-deprecated (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Oct 2025 15:18:30 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
                python3-setuptools,
                python3-sphinx,
                python3-wrapt
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-deprecated
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-deprecated.git
 Homepage: https://github.com/tantale/deprecated
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-deprecated

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=deprecated
export PYBUILD_TEST_ARGS=-vv

%:
	dh $@ --buildsystem=pybuild
